MDIOBUS_READ(9)

NAME
mdiobus_read - Convenience function for reading a given MII mgmt register

SYNOPSIS

int mdiobus_read(struct mii_bus * bus, int addr, u32 regnum);

ARGUMENTS

bus
    the mii_bus struct

addr
    the phy address

regnum
    register number to read

NOTE

MUST NOT be called from interrupt context, because the bus read/write functions may wait for an interrupt to conclude the operation.

COPYRIGHT